aboutsummaryrefslogtreecommitdiffstats
path: root/main/apache2/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-11-01 21:19:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-11-01 21:24:15 +0000
commitb1638039e29283d0f0f1251f275f11fd904e8986 (patch)
tree2af4f0f47c355efbb29be8b59b47e53f2bb42b61 /main/apache2/APKBUILD
parent84298caaa5b5db22f4daa640518765006eef67ce (diff)
downloadaports-b1638039e29283d0f0f1251f275f11fd904e8986.tar.gz
aports-b1638039e29283d0f0f1251f275f11fd904e8986.tar.bz2
aports-b1638039e29283d0f0f1251f275f11fd904e8986.tar.xz
main/apache2: fix default conf and split some mods
- New default config based on V Krishn's work. - split out lua mod as it pulls in lua package as dependency - split out proxy-html as it pulls in libxml2 - split out proxy as most ppl probably dont need it - fix webdav package Fixes #1457
Diffstat (limited to 'main/apache2/APKBUILD')
-rw-r--r--main/apache2/APKBUILD52
1 files changed, 47 insertions, 5 deletions
diff --git a/main/apache2/APKBUILD b/main/apache2/APKBUILD
index 988dace899..d5151f2585 100644
--- a/main/apache2/APKBUILD
+++ b/main/apache2/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apache2
pkgver=2.4.3
-pkgrel=1
+pkgrel=2
pkgdesc="A high performance Unix-based HTTP server"
url="http://httpd.apache.org/"
arch="all"
@@ -12,9 +12,10 @@ pkggroups="apache"
makedepends="openssl-dev zlib-dev apr-util-dev apr-dev pcre-dev sed lua-dev
autoconf automake"
subpackages="$pkgname-dev $pkgname-doc $pkgname-utils $pkgname-ssl
- $pkgname-ldap $pkgname-webdav"
-# see http://lists.err.no/pipermail/mpm-itk/2011-August/000432.html for
-# the 03-add-mpm-to-build-system.patch
+ $pkgname-ldap $pkgname-webdav
+ $pkgname-proxy-html:proxy_html
+ $pkgname-proxy
+ $pkgname-lua:_lua"
source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
apache2.confd
apache2.logrotate
@@ -22,6 +23,9 @@ source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
httpd.conf
ssl.conf
ldap.conf
+ proxy-html.conf
+ proxy.conf
+ lua.conf
alpine.layout
"
_builddir="$srcdir"/httpd-$pkgver
@@ -153,19 +157,57 @@ ldap() {
webdav() {
pkgdesc="WebDAV support for the Apache HTTP Server"
depends="apache2"
+ replaces="apache2"
install -d "$subpkgdir"/usr/lib/apache2 || return 1
mv "$pkgdir"/usr/lib/apache2/mod_*dav.so \
+ "$pkgdir"/usr/lib/apache2/mod_dav_*.so \
"$subpkgdir"/usr/lib/apache2/ || return 1
install -D -m644 "$_builddir"/docs/conf/extra/httpd-dav.conf \
"$subpkgdir"/etc/apache2/conf.d/http-dav.conf || return 1
}
+proxy_html() {
+ pkgdesc="HTML and XML content filters for the Apache HTTP Server"
+ depends="apache2"
+ install -d "$subpkgdir"/usr/lib/apache2 || return 1
+ mv "$pkgdir"/usr/lib/apache2/*_proxy_html.so \
+ "$pkgdir"/usr/lib/apache2/*xml2enc*.so \
+ "$subpkgdir"/usr/lib/apache2/ || return 1
+ install -D -m644 "$srcdir"/proxy-html.conf \
+ "$subpkgdir"/etc/apache2/conf.d/proxy-html.conf || return 1
+}
+
+proxy() {
+ pkgdesc="Proxy modules for the Apache HTTP Server"
+ depends="apache2"
+ install -d "$subpkgdir"/usr/lib/apache2 || return 1
+ mv "$pkgdir"/usr/lib/apache2/*_proxy*.so \
+ "$pkgdir"/usr/lib/apache2/*_lbmethod*.so \
+ "$subpkgdir"/usr/lib/apache2/ || return 1
+ install -D -m644 "$srcdir"/proxy.conf \
+ "$subpkgdir"/etc/apache2/conf.d/proxy.conf || return 1
+}
+
+_lua() {
+ pkgdesc="Lua support for the Apache HTTP server"
+ depends="apache2"
+ install -d "$subpkgdir"/usr/lib/apache2 || return 1
+ mv "$pkgdir"/usr/lib/apache2/*_lua.so \
+ "$subpkgdir"/usr/lib/apache2/ || return 1
+ install -D -m644 "$srcdir"/lua.conf \
+ "$subpkgdir"/etc/apache2/conf.d/lua.conf || return 1
+}
+
+
md5sums="87aaf7bc7e8715f0455997bb8c6791aa httpd-2.4.3.tar.bz2
e322b5211e49511cac6e40c86af1b1da apache2.confd
75fe4138b98fcffd01b8c8c077b944f3 apache2.logrotate
7105fc70298b24bfca6dba517f7486d7 apache2.initd
-749faf0b2916d85d1240bc34f700e5d9 httpd.conf
+cceb6f5c3949326b48e0fcf196a2495d httpd.conf
5d0d024ca43571b863874ab871b2c109 ssl.conf
b70fe826486043e3953cfe21f9e6fa16 ldap.conf
+fe26a0a70f572eb256a3c6c183a62223 proxy-html.conf
+96eddccfca1ec0349f844e2460cf655b proxy.conf
+449a4aea60473ac4a16f025fca4463e3 lua.conf
c66ff5f70260d5266e6803a59b39bd7f alpine.layout"